| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::MetaEnginePreviews Class Reference

## Public Member Functions
| MetaEnginePreviews (const QByteArray &imgData)
| Open the given image data and scan the image for embedded preview images.
| MetaEnginePreviews (const QString &filePath)
| Open the given file and scan for embedded preview images.
int | count () const
| Returns how many embedded previews are available.
QByteArray | data (int index=0)
| Retrieve the image data for the specified embedded preview image.
int | dataSize (int index=0)
| For each contained preview image, return the size of the image data in bytes, width and height of the preview, the mimeType and the file extension.
QString | fileExtension (int index=0)
int | height (int index=0)
QImage | image (int index=0)
| Loads the data of the specified preview and creates a QImage from this data.
bool | isEmpty ()
| Returns if there are any preview images available.
QString | mimeType (int index=0)
QString | originalMimeType () const
| Returns the mimeType of the original image, detected from the file's content.
QSize | originalSize () const
| Returns the pixel size of the original image, as read from the file (not the metadata).
int | size () const
int | width (int index=0)

## Member Function Documentation

## ◆ dataSize()

int Digikam::MetaEnginePreviews::dataSize | ( | int | index = `0` | ) |

Ensure that index < count(). Previews are sorted by width*height, largest first.

## ◆ image()

QImage Digikam::MetaEnginePreviews::image | ( | int | index = `0` | ) |

Returns a null QImage if the loading failed.